Retrieve a list of comments for a case.
HTTP Method: GET
| Parameter |
Description |
| case_id |
The ID of the case. |
| per_page |
Optional Set the number of results returned per page. Defaults to 20. |
| page |
Optional Specify the page of results to return if there are multiple pages. Defaults to page 1. |
curl -X GET \
https://<tenant-domain>/api/v2/cases/<<case_id>>/comments \
-H 'content-type: application/json' \
-H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
A successful request will return a JSON object with the comments.
| Parameter |
Description |
| case_id |
The case ID. |
| comments |
An array of comments on to the case. |
| Comments parameter |
Description |
| id |
The ID of the record with the comment attached to the case. |
| activity_type |
The type of activity taken on the case - commented in this instance. |
| value |
The comment being added. |
| created_at |
ISO 8601 Timestamp representing creation date. |
| user |
Details of the user. |
| reactions |
An array of objects describing the reactions and their reactants on the comment. |
| User parameter |
Description |
| user_id |
The user ID. |
| first_name |
The user's first name. |
| last_name |
The user's last name. |
| email |
The user's email address. |
| avatar_url |
The user's avatar url. |
| is_service_account |
Whether this user is a service account (true/false). |
{
"case_id": 42,
"comments": [
{
"id": 7508,
"activity_type": "COMMENTED",
"value": "This is a comment",
"created_at": "2024-03-07T11:42:58Z",
"user": {
"user_id": 1,
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@tines.io",
"avatar_url": "example.com/avatar",
"is_service_account": false
},
"reactions": [
{
"emoji": ":heart:",
"reactants": [
{
"user_id": 1,
"user_name": "John Smith",
"reacted_at": "2024-03-12T10:06:38+00:00"
}
]
}
]
}
],
"meta": {
"current_page": "https://<tenant-domain>/api/v2/cases/42/comments?per_page=20&page=1",
"previous_page": null,
"next_page": null,
"next_page_number": null,
"per_page": 20,
"pages": 1,
"count": 1
}
}